package com.iformall.enums;

/**
 * Created by Stormeye on 2018/08/09.
 */
public enum EnumMerchantSubsidyType {

    MANUAL(1, "自主结算"),
    WECHAT(2, "微信结算"),;

    public static EnumMerchantSubsidyType getEnum(Integer code) {
        for (EnumMerchantSubsidyType value : values()) {
            if (value.getCode().equals(code)) {
                return value;
            }
        }
        return null;
    }

    private Integer code;
    private String message;

    EnumMerchantSubsidyType(Integer code, String message) {
        this.code = code;
        this.message = message;
    }

    public Integer getCode() {
        return code;
    }

    public String getMessage() {
        return message;
    }
}
